Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 454149 - Fast switching users that use different window decorators results in no decorations
Summary: Fast switching users that use different window decorators results in no decor...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: compiz
Version: 9
Hardware: i386
OS: Linux
low
medium
Target Milestone: ---
Assignee: Kristian Høgsberg
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-05 12:18 UTC by Vasile Gaburici
Modified: 2018-04-11 11:11 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-07-14 18:09:51 UTC


Attachments (Terms of Use)

Description Vasile Gaburici 2008-07-05 12:18:46 UTC
Description of problem:

If two users have different window decorators, e.g. one has the built-in compiz
one but the other uses the metacity theme decorator,then fast switching between
their GNOME sessions results in undecorated windows for the user that logs in later.

This bug does not occur however if one user logs out and the other one logs in,
i.e. if fast user switching is not used.

Version-Release number of selected component (if applicable):

compiz-0.7.6-2.fc9.i386

Steps to Reproduce:
1. Create two users. Use gnome-compiz-preferences to set up one user to use the
compiz built-in decorator, i.e. uncheck "window decorator use metacity theme".
2. Fast-switch to the other user.

Actual results:

The 2nd user that's still configured to use metacity theme decorator has no
window decorations at all.

Expected results:

2nd user sees the decorations it had configured.

Additional info:

On this box compiz is set to start on gdm, i.e.
/apps/gdm/simple-greeter/wm_use_compiz is enabled.

Comment 2 Bug Zapper 2009-06-10 01:55:53 UTC
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Bug Zapper 2009-07-14 18:09:51 UTC
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.